GET /loyalty/{channelLinkId}/tiers

The tiers returned are sorted by lowest to highest

Path parameters

  • channelLinkId string Required

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • name string
    • description string
    • media object
      Hide media attributes Show media attributes object
      • url string
      • mediaType string
    • requirements object
      Hide requirements attributes Show requirements attributes object
      • minLifetimePoints integer

        Default value is 0.

      • maxLifetimePoints integer

        Default value is 0.

  • 400 application/json

    400

GET /loyalty/{channelLinkId}/tiers
curl \
 --request GET 'https://api.staging.deliverect.com/loyalty/{channelLinkId}/tiers' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
    {
        "name": "Bronze",
        "description": "Way to go!",
        "media": {
            "url": "https://deliverect.com/icon1.png",
            "mediaType": "image"
        },
        "requirements": {
            "minLifetimePoints": 0,
            "maxLifetimePoints": 1000
        }
    },
    {
        "name": "Silver",
        "description": "This is a higher tier!",
        "media": {
            "url": "https://deliverect.com/icon2.png",
            "mediaType": "image"
        },
        "requirements": {
            "minLifetimePoints": 1000,
            "maxLifetimePoints": 2000
        }
    }
]
Response examples (400)
{}